import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      theme: ThemeData(

        colorScheme: ColorScheme.fromSeed(seedColor: Colors.deepPurple),
        useMaterial3: true,
      ),
      home: myWidget(),
    );
  }
}

class myWidget extends StatelessWidget {
  const myWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        //child: Text("Hola mundo")
        appBar: AppBar( //Barra que se encuentra en la parte superior
          title: Text("Prueba AppBarsss"),//Agregar titulo en appBar
          backgroundColor: Colors.lightBlue,//Agregar color en la appBar
          actions: const [//Agregar iconos
            Icon(Icons.search),
            Icon(Icons.menu)
          ],
        ),
      body: Column(children: []),//Va a tener varios hijos


    );

  }
}
